# Sample handler.pl file.
# Start Mason and define the mod_perl handler routine.
#
package HTML::Mason;
use HTML::Mason;    # brings in subpackages: Parser, Interp, etc.
use strict;
my $parser = new HTML::Mason::Parser;
my $interp = new HTML::Mason::Interp (parser=>$parser,

# # # # # # # # # # # # # # #
# C O N F I G U R A T I O N #
# # # # # # # # # # # # # # #
# You might want to change these next two...
comp_root=>'/var/www/bronc/htdocs',
data_dir=>'/var/www/bronc/data');



my $ah = new HTML::Mason::ApacheHandler (interp=>$interp);
chown ( [getpwnam('nobody')]->[2], [getgrnam('nobody')]->[2],
$interp->files_written );   # chown slug
sub handler
{
	my ($r) = @_;
	$ah->handle_request($r);
}
1;
